landscape-client shouldn't remove UI packages in released ubuntu series

Bug #1561014 reported by Ursula Junque on 2016-03-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
High
Unassigned

Bug Description

With the landscape-client UI drop, landscape-client package was updated to remove obsolete ui packages.
This represents an issue for released ubuntu series such as wily and trusty, as released packages can't be removed after a series is released (landscape-client-ui-install is seeded in series older than xenial). For these series the packages shouldn't be removed, but instead replaced by empty ones (or something equivalent). The way the package is right now won't be accepted as a SRU for this reason.

The goal is to have one same source building packages for all releases, we need a conditional package build for xenial and < xenial, with different options.

Ursula Junque (ursinha) on 2016-03-23
description: updated
Changed in landscape-client (Ubuntu):
status: New → Confirmed
no longer affects: landscape-client (Ubuntu)
Changed in landscape-client:
status: New → Triaged
importance: Undecided → High
tags: added: squad-bug
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers